Header = class(Turbine.UI.Control)
function Header:Constructor()
    Turbine.UI.Control.Constructor(self)
    self:SetSize(260, 30)

    self.BoxHeaderLeft = Turbine.UI.Control()
    self.BoxHeaderLeft:SetParent(self)
    self.BoxHeaderLeft:SetSize(34, 30)
    self.BoxHeaderLeft:SetBlendMode(Turbine.UI.BlendMode.AlphaBlend)
    self.BoxHeaderLeft:SetBackground(0x4110A0E0)

    self.BoxHeaderRight = Turbine.UI.Label()
    self.BoxHeaderRight:SetParent(self)
    self.BoxHeaderRight:SetPosition(self:GetWidth() - 34 - 10, 0)
    self.BoxHeaderRight:SetSize(34, 30)
    self.BoxHeaderRight:SetBlendMode(Turbine.UI.BlendMode.AlphaBlend)
    self.BoxHeaderRight:SetBackground(0x4110A0DB)

    self.BoxHeaderMiddle = Turbine.UI.Label()
    self.BoxHeaderMiddle:SetParent(self)
    self.BoxHeaderMiddle:SetPosition(34, 0)
    self.BoxHeaderMiddle:SetSize(self:GetWidth() - 68 - 10, 30)
    self.BoxHeaderMiddle:SetBlendMode(Turbine.UI.BlendMode.AlphaBlend)
    self.BoxHeaderMiddle:SetBackground(0x4110A0D9)

    self.BoxHeaderLabel = Turbine.UI.Label()
    self.BoxHeaderLabel:SetParent(self)
    self.BoxHeaderLabel:SetSize(self:GetWidth() - 10, 30)
    self.BoxHeaderLabel:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter)
    self.BoxHeaderLabel:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22)
    self.BoxHeaderLabel:SetBlendMode(Turbine.UI.BlendMode.AlphaBlend)
     
    self.BoxHeaderLabel.MouseEnter = function()
        self.BoxHeaderLeft:SetBackground(0x4110A0DF)
        self.BoxHeaderMiddle:SetBackground(0x4110A0DD)
        self.BoxHeaderRight:SetBackground(0x4110A0DE)
    end

    self.BoxHeaderLabel.MouseUp = function()
        self.BoxHeaderLeft:SetBackground(0x4110A0E0)
        self.BoxHeaderMiddle:SetBackground(0x4110A0D9)
        self.BoxHeaderRight:SetBackground(0x4110A0DB)
    end

    self.BoxHeaderLabel.MouseDown = function()
        self.BoxHeaderLeft:SetBackground(0x4110A0D8)
        self.BoxHeaderMiddle:SetBackground(0x4110A0DA)
        self.BoxHeaderRight:SetBackground(0x4110A0DC)
    end

    self.BoxHeaderLabel.MouseLeave = function()
        self.BoxHeaderLeft:SetBackground(0x4110A0E0)
        self.BoxHeaderMiddle:SetBackground(0x4110A0D9)
        self.BoxHeaderRight:SetBackground(0x4110A0DB)
    end
end

function Header:SetText(text)
    self.BoxHeaderLabel:SetText(tostring(text))
end